<?php

declare(strict_types=1);

namespace Kylin\Pay\Event;

use Kylin\Pay\Artful\Contract\PluginInterface;
use Kylin\Pay\Artful\Event\Event;
use Kylin\Pay\Artful\Rocket;

class PayStart extends Event
{
    /**
     * @var PluginInterface[]
     */
    public array $plugins;

    public array $params;

    public function __construct(array $plugins, array $params, ?Rocket $rocket = null)
    {
        $this->plugins = $plugins;
        $this->params = $params;

        parent::__construct($rocket);
    }
}
